<div class="course-card">
  <div class="course-card__description">
    <!-- Replace ::text:: with your code -->
    <div class="course-card__description-title">{{ titleText }}</div>
    <div class="course-card__description-text">{{ descriptionText }}</div>
  </div>
  <div class="course-card__info">
    <div class="course-card__info-text">
      <div>
        <b>Authors: </b>
        {{ authorsText }}
      </div>
      <div><b>Duration: </b>{{ durationText }}</div>
      <div><b>Created: </b>{{ createdDateText }}</div>
    </div>
    <div class="course-card__info-actions">
      <app-button [buttonText]="(buttonText)" (click)="onShowCourse()"></app-button>
      <app-button [iconName]="(deleteIcon)" (click)="onDeleteCourse()" *ngIf="canEditDelete"></app-button>
      <app-button [iconName]="(editIcon)" (click)="onEditCourse()" *ngIf="canEditDelete"></app-button>
    </div>
  </div>
</div>